// Programmierzeit Prof. Brass: 8 Minuten (Beginn: 18:54 Ende: 19:02)

class ZustandsListe {
	private Zustand[] arr;
	private int num;

	public ZustandsListe() {
		arr = new Zustand[100];
		num = 0;
	}

	public void add(Zustand z) {
		// Aufruf mit Null-Referenz ignorieren:
		if(z == null)
			return;

		// Suchen, ob schon aequivalentes Objekt eingetragen:
		for(int i = 0; i < num; i++)
			if(arr[i].inhalt(0) == z.inhalt(0) &&
				arr[i].inhalt(1) == z.inhalt(1) &&
				arr[i].inhalt(2) == z.inhalt(2))
				return;

		// Neuer Zustand. Muss eingetragen werden:
		arr[num++] = z;
	}

	public int size() {
		return num;
	}

	public Zustand get(int i) {
		if(i < 0 || i >= num)
			return null;
		return arr[i];
	}
}
